global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
dashboard:
  enabled: false
  name: freeleaps-prod-central-storage-dashboard
  title: Central Storage Service Dashboard
  metricsPrefix: freeleaps_central_storage
logIngest:
  enabled: false
  lokiEndpoint: http://loki-gateway.freeleaps-logging-system/loki/api/v1/push
  logPathPattern: /app/log/central_storage/*.log
  logPath: /app/log/central_storage
central-storage:
  replicas: 1
  image:
    registry:
    repository: freeleaps
    name: central_storage
    tag: 1.0.0
    imagePullPolicy: IfNotPresent
  ports:
    - name: http
      containerPort: 8005
      protocol: TCP
  resources:
    requests:
      cpu: "0.5"
      memory: "512Mi"
    limits:
      cpu: "1"
      memory: "1Gi"
  # FIXME: Wait until the developers implements the probes APIs
  probes: {}
  services:
    - name: central-storage-service
      type: ClusterIP
      port: 8005
      targetPort: 8005
      serviceMonitor:
        enabled: false
        labels: {}
        namespace: ""
        internal: 30s
        scrapeTimeout: ""
  # Defaults to {}, which means doesn't have any ingress
  ingresses: {}
  configs:
    # TZ
    tz: "America/Settle"
    # APP_NAME
    appName: "central_storage"
    # SERVICE_API_ACCESS_HOST
    serviceApiAccessHost: "0.0.0.0"
    # SERVICE_API_ACCESS_PORT
    serviceApiAccessPort: "8005"
    # MONGODB_NAME
    mongodbName: ""
    # MONGODB_PORT
    mongodbPort: "27017"
    # METRICS_ENABLED
    metricsEnabled: "false"
    # PROBES_ENABLED
    probesEnabled: "false"
  # AKV secrets configuration
  secrets:
    secretStoreRef:
      kind: FreeleapsSecretStore
      name: freeleaps-main-secret-store
    target:
      name: "freeleaps-central-storage-secrets"
      creationPolicy: "Owner"
    refreshInterval: 30s
    data:
      - key: mongodbUri
        remoteRef:
          key: "freeleaps-mongodb-uri"
          type: Secret
      - key: azureStorageDocumentApiKey
        remoteRef:
          key: "freeleaps-azure-storage-document-api-key"
          type: Secret
      - key: azureStorageDocumentApiEndpoint
        remoteRef:
          key: "freeleaps-azure-storage-document-api-endpoint"
          type: Secret
  vpa:
    minAllowed:
      enabled: false
      cpu: "0.5"
      memory: "512Mi"
    maxAllowed:
      enabled: true
      cpu: "1"
      memory: "1Gi"
    controlledResources:
      - cpu
      - memory